Bug 475138 - NETDEV WATCHDOG: eth0 (3c59x): transmit timed out
NETDEV WATCHDOG: eth0 (3c59x): transmit timed out
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-08 00:15 EST by Adam D. Ligas
Modified: 2009-12-18 02:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 02:11:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output (28.07 KB, application/octet-stream)
2008-12-08 00:15 EST, Adam D. Ligas
no flags Details
lspci output (12.09 KB, application/octet-stream)
2008-12-08 00:16 EST, Adam D. Ligas
no flags Details
dmesg output D. Graef 20090401 (33.25 KB, text/plain)
2009-04-01 13:41 EDT, Detlef Graef
no flags Details
debug output from module 3c59x (28.10 KB, application/x-gzip)
2009-04-02 15:00 EDT, Detlef Graef
no flags Details
log (3.24 KB, application/octet-stream)
2009-05-31 12:04 EDT, Mateusz M.
no flags Details

  None (edit)
Description Adam D. Ligas 2008-12-08 00:15:28 EST
Created attachment 326080 [details]
dmesg output

Description of problem:
On boot, and randomly from that point forward, the kernel will oops with the following error:

NETDEV WATCHDOG: eth0 (3c59x): transmit timed out

Version-Release number of selected component (if applicable):
Fedora 10, kernel

How reproducible:
Appears to always happen on boot.  Happens randomly afterward.

Steps to Reproduce:
1. Boot machine
2. Allow machine to run, will generate more oops over time
Actual results:
Upon booting there will be a kernel oops with the message above.  If allowed to run, it will randomly repeat this oops from time to time.

Expected results:
Machine does not generate any kernel oops.

Additional info:
------------[ cut here ]------------
WARNING: at net/sched/sch_generic.c:219 dev_watchdog+0xda/0x12d()
NETDEV WATCHDOG: eth0 (3c59x): transmit timed out
Modules linked in: fuse ipv6 dm_multipath snd_emu10k1_synth snd_emux_synth snd_seq_virmidi snd_seq_midi_emul snd_emu10k1 snd_rawmidi snd_ac97_codec ac97_bus snd_seq_dummy ppdev snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_device snd_timer i2c_viapro snd_page_alloc pcspkr snd_util_mem floppy i2c_core serio_raw parport_pc snd_hwdep emu10k1_gp 3w_xxxx via_ircc parport 3c59x snd soundcore gameport irda crc_ccitt mii ata_generic pata_acpi pata_via
Pid: 0, comm: swapper Not tainted #1
 [<c042bb3a>] warn_slowpath+0x4b/0x6c
 [<c06a7600>] ? _read_unlock_irq+0xe/0x17
 [<c0426237>] ? try_to_wake_up+0x221/0x22b
 [<c042624c>] ? default_wake_function+0xb/0xd
 [<c041ea12>] ? __wake_up_common+0x35/0x5b
 [<c06a76b3>] ? _spin_unlock_irqrestore+0x22/0x38
 [<c0420940>] ? __enqueue_entity+0xe3/0xeb
 [<c04223aa>] ? enqueue_entity+0x203/0x20b
 [<c051bf6e>] ? strlcpy+0x17/0x49
 [<c063e554>] dev_watchdog+0xda/0x12d
 [<c0426237>] ? try_to_wake_up+0x221/0x22b
 [<c04341f5>] run_timer_softirq+0x14b/0x1bb
 [<c063e47a>] ? dev_watchdog+0x0/0x12d
 [<c063e47a>] ? dev_watchdog+0x0/0x12d
 [<c043076f>] __do_softirq+0x84/0x109
 [<c04306eb>] ? __do_softirq+0x0/0x109
 [<c0405eec>] do_softirq+0x77/0xdb
 [<c04303d6>] irq_exit+0x44/0x83
 [<c0413ee9>] smp_apic_timer_interrupt+0x6e/0x7c
 [<c0404759>] apic_timer_interrupt+0x2d/0x34
 [<c04198d7>] ? native_safe_halt+0x5/0x7
 [<c040912d>] default_idle+0x38/0x6a
 [<c0402c4d>] cpu_idle+0x101/0x134
 [<c0697406>] rest_init+0x4e/0x50
---[ end trace 5f339ae89d49e10d ]---
eth0: transmit timed out, tx_status 00 status 8000.
  diagnostics: net 0cd2 media 8880 dma 000000a0 fifo 0000
  Flags; bus-master 1, dirty 399935(15) current 399951(15)
  Transmit list 364aa200 vs. f64aab60.
  0: @f64aa200  length 00000042 status 0c0005ea
  1: @f64aa2a0  length 00000042 status 0c0005ea
  2: @f64aa340  length 00000042 status 0c0005ea
  3: @f64aa3e0  length 00000042 status 0c0005ea
  4: @f64aa480  length 00000042 status 0c0005ea
  5: @f64aa520  length 00000042 status 0c0005ea
  6: @f64aa5c0  length 00000042 status 0c0005ea
  7: @f64aa660  length 00000042 status 0c0005ea
  8: @f64aa700  length 00000042 status 0c0005ea
  9: @f64aa7a0  length 00000042 status 0c0005ea
  10: @f64aa840  length 00000042 status 0c0005ea
  11: @f64aa8e0  length 00000042 status 0c0005ea
  12: @f64aa980  length 00000042 status 0c0005ea
  13: @f64aaa20  length 00000042 status 8c0005ea
  14: @f64aaac0  length 00000042 status 8c0005ea
  15: @f64aab60  length 00000042 status 0c0105ea
eth0: Resetting the Tx ring pointer.

dmesg and lspci results attached.  Note there were a LOT of "APIC errors" in the dmesg output.  I trimmed them down for cleanliness.
Comment 1 Adam D. Ligas 2008-12-08 00:16:04 EST
Created attachment 326081 [details]
lspci output
Comment 2 Adam D. Ligas 2008-12-08 00:20:07 EST
Other users appear to be having a similar problem, but with different network adapters.  One user has reported trouble with an e1000 adapter (bug 467394) and another has reported trouble with a sis900 adapter (bug 470013).

All three of us are experiencing "transmit timed out" errors that appear to be coming from the "net/sched/sch_generic.c" file.

It appears that this might be a more generic issue, not specifically attached to the 3c59x adapter in my system.
Comment 3 Detlef Graef 2009-04-01 13:36:40 EDT
After upgrading my PC from 2GB of RAM to 6GB my network card 3C905TX doesn't work any more.

I'm using Fedora 10, with Kernel: #1 SMP Mon Feb 23 13:00:23 EST 2009 x86_64 x86_64 x86_64 GNU/Linux

[root@robin ~]# lspci
00:00.0 RAM memory: nVidia Corporation MCP65 Memory Controller (rev a3)
00:01.0 ISA bridge: nVidia Corporation MCP65 LPC Bridge (rev a3)
00:01.1 SMBus: nVidia Corporation MCP65 SMBus (rev a1)
00:01.2 RAM memory: nVidia Corporation MCP65 Memory Controller (rev a1)
00:02.0 USB Controller: nVidia Corporation MCP65 USB Controller (rev a3)
00:02.1 USB Controller: nVidia Corporation MCP65 USB Controller (rev a3)
00:07.0 Audio device: nVidia Corporation MCP65 High Definition Audio (rev a1)
00:08.0 PCI bridge: nVidia Corporation MCP65 PCI bridge (rev a1)
00:09.0 IDE interface: nVidia Corporation MCP65 IDE (rev a1)
00:0a.0 IDE interface: nVidia Corporation MCP65 SATA Controller (rev a3)
00:0b.0 PCI bridge: nVidia Corporation Device 045b (rev a1)
00:0c.0 PCI bridge: nVidia Corporation MCP65 PCI Express bridge (rev a1)
00:0d.0 PCI bridge: nVidia Corporation MCP65 PCI Express bridge (rev a1)
00:0e.0 PCI bridge: nVidia Corporation MCP65 PCI Express bridge (rev a1)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
02:07.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306 Fire II IEEE 1394 OHCI Link Layer Controller (rev c0)
02:0a.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)
05:00.0 VGA compatible controller: ATI Technologies Inc RV535 [Radeon X1650 Series] (rev 9e)
05:00.1 Display controller: ATI Technologies Inc RV535 [Radeon X1650 Series] (rev 9e)

From dmesg:

------------[ cut here ]------------                                                                                                                                            
WARNING: at net/sched/sch_generic.c:219 dev_watchdog+0xfe/0x15d()                                                                                                               
Hardware name: To Be Filled By O.E.M.                                                                                                                                           
NETDEV WATCHDOG: eth0 (3c59x): transmit timed out                                                                                                                               
Modules linked in: fuse sco bridge stp bnep l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_mpu401 snd_pcm ppdev i2c_nforce2 r8169 k8temp hwmon snd_mpu401_uart snd_timer firewire_ohci 3c59x snd_page_alloc snd_rawmidi firewire_core crc_itu_t snd_hwdep snd_seq_device snd floppy parport_pc mii soundcore pcspkr parport ata_generic pata_acpi pata_amd radeon drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]                                                                                                                  
Pid: 0, comm: swapper Not tainted #1                                                                                                                 

Call Trace:
 <IRQ>  [<ffffffff81041763>] warn_slowpath+0xac/0xd5
 [<ffffffff810311a2>] ? resched_task+0x52/0x8c
 [<ffffffff81333b64>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff8103a6bf>] ? try_to_wake_up+0x271/0x283
 [<ffffffff81167441>] ? __next_cpu+0x19/0x26
 [<ffffffff81059c2e>] ? sched_clock_cpu+0x10f/0x120
 [<ffffffff81167441>] ? __next_cpu+0x19/0x26
 [<ffffffff8133396a>] ? _spin_lock+0x9/0xc
 [<ffffffff812b8cfb>] dev_watchdog+0xfe/0x15d
 [<ffffffff812b8bfd>] ? dev_watchdog+0x0/0x15d
 [<ffffffff8104b0c6>] run_timer_softirq+0x19c/0x222
 [<ffffffff8105cf4a>] ? clockevents_program_event+0x73/0x7c
 [<ffffffff81046c82>] __do_softirq+0x7e/0x10c
 [<ffffffff81011bfc>] call_softirq+0x1c/0x28
 [<ffffffff81012e02>] do_softirq+0x4d/0xb0
 [<ffffffff81046857>] irq_exit+0x4e/0x9d
 [<ffffffff81020a32>] smp_apic_timer_interrupt+0x8f/0xa8
 [<ffffffff81011408>] apic_timer_interrupt+0x88/0x90
 <EOI>  [<ffffffff8102571e>] ? native_safe_halt+0x6/0x8
 [<ffffffff810172fb>] ? need_resched+0x1e/0x28
 [<ffffffff810173e0>] ? default_idle+0x2a/0x4c
 [<ffffffff81017530>] ? c1e_idle+0x120/0x127
 [<ffffffff81336a74>] ? atomic_notifier_call_chain+0x13/0x15
 [<ffffffff8100f2a7>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132e3c1>] ? start_secondary+0x16e/0x173

---[ end trace 3cc21101071ef3e7 ]---

In dmesg I see repeatedly this error:

eth0: Transmit error, Tx status register 82.                        
Probably a duplex mismatch.  See Documentation/networking/vortex.txt
  Flags; bus-master 1, dirty 60(12) current 66(2)                   
  Transmit list cd420700 vs. ffff8800cd420980.                      
  0: @ffff8800cd420200  length 80000056 status 00000056             
  1: @ffff8800cd4202a0  length 80000056 status 80000056             
  2: @ffff8800cd420340  length 8000002a status 0001002a             
  3: @ffff8800cd4203e0  length 80000085 status 0c010085             
  4: @ffff8800cd420480  length 80000085 status 0c010085             
  5: @ffff8800cd420520  length 80000085 status 0c010085             
  6: @ffff8800cd4205c0  length 80000051 status 0c010051
  7: @ffff8800cd420660  length 80000089 status 0c010089
  8: @ffff8800cd420700  length 8000005e status 0c01005e
  9: @ffff8800cd4207a0  length 8000002a status 0001002a
  10: @ffff8800cd420840  length 80000089 status 0c010089
  11: @ffff8800cd4208e0  length 80000089 status 0c000089
  12: @ffff8800cd420980  length 8000002a status 0000002a
  13: @ffff8800cd420a20  length 8000002a status 0000002a
  14: @ffff8800cd420ac0  length 8000002a status 0001002a
  15: @ffff8800cd420b60  length 80000056 status 00000056
Comment 4 Detlef Graef 2009-04-01 13:41:40 EDT
Created attachment 337595 [details]
dmesg output D. Graef 20090401
Comment 5 Detlef Graef 2009-04-02 15:00:45 EDT
Created attachment 337877 [details]
debug output from module 3c59x

I have loaded the module 3c59x with the option debug=6 (modprobe 3c59x debug=6).

The attached file contains the debug output.
Comment 6 Mateusz M. 2009-05-31 12:04:15 EDT
Created attachment 346013 [details]
Comment 7 Nenad Opsenica 2009-10-12 15:08:18 EDT
Similar problem appears with madwifi drive, too (kernel is basically recompiled FC10 kernel):

------------[ cut here ]------------
WARNING: at net/sched/sch_generic.c:219 dev_watchdog+0xd3/0x124()
Hardware name: System Name
NETDEV WATCHDOG: wifi0 (ath_pci): transmit timed out
Modules linked in: ipv6 wlan_wep wlan_scan_sta bridge stp wlan_scan_ap ext2 dm_multipath wmi video output rfkill input
_polldev sbs sbshc pci_slot container lp ath_rate_sample ath_pci via686a hwmon wlan ath_hal i2c_viapro ne2k_pci 8390 i
2c_core parport_pc parport pcspkr jffs2 mtdblock mtd_blkdevs block2mtd mtd sata_via sata_uli sata_sis sata_sil sata_nv
 sata_mv ata_generic pata_acpi pata_via pata_sis pata_mpiix pata_marvell pata_jmicron pata_cs5536 pata_cs5535 pata_cs5
530 pata_cs5520 pata_atiixp pata_amd pata_ali crc_ccitt crc16 zlib_deflate
Pid: 0, comm: swapper Not tainted #1
 [<c0426459>] warn_slowpath+0x6c/0x94
 [<c0429f00>] ? _local_bh_enable_ip+0x69/0xb4
 [<c061c4e9>] ? dev_queue_xmit+0x361/0x380
 [<c89e222e>] ? ieee80211_ref_node+0x57/0x61 [wlan]
 [<c89e6365>] ? ieee80211_parent_queue_xmit+0x38/0x41 [wlan]
 [<c89e737c>] ? ieee80211_hardstart+0x2ef/0x339 [wlan]
 [<c0460950>] ? trace_hardirqs_on+0x8/0x1c
 [<c0429f3e>] ? _local_bh_enable_ip+0xa7/0xb4
 [<c0429f60>] ? local_bh_enable+0xb/0xd
 [<c061c4e9>] ? dev_queue_xmit+0x361/0x380
 [<c0460950>] ? trace_hardirqs_on+0x8/0x1c
 [<c06281b8>] dev_watchdog+0xd3/0x124
 [<c0460950>] ? trace_hardirqs_on+0x8/0x1c
 [<c042e062>] ? mod_timer+0x30/0x34
 [<c06280e5>] ? dev_watchdog+0x0/0x124
 [<c042dadb>] run_timer_softirq+0x101/0x16a
 [<c06280e5>] ? dev_watchdog+0x0/0x124
 [<c042a2fb>] __do_softirq+0x4b/0x94
 [<c042a2b0>] ? __do_softirq+0x0/0x94
 [<c0405f08>] do_softirq+0x66/0xc7
 [<c0458d56>] ? handle_level_irq+0x0/0x78
 [<c042a225>] irq_exit+0x37/0x72
 [<c0405e8c>] do_IRQ+0xd1/0xe7
 [<c0404aa8>] common_interrupt+0x28/0x30
 [<c054f52d>] ? acpi_idle_enter_simple+0x111/0x146
 [<c05fed6a>] cpuidle_idle_call+0x52/0x84
 [<c040250b>] cpu_idle+0x57/0x7d
 [<c067b2c8>] rest_init+0x48/0x4a
---[ end trace 4b24bffcc49b61b3 ]---
Comment 8 Bug Zapper 2009-11-18 05:23:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Bug Zapper 2009-12-18 02:11:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.